Name:           libgnome-games-support
Version:        1.2.1
Release:        2%{?dist}
Summary:        Support library for GNOME games

License:        LGPLv3+
URL:            https://git.gnome.org/browse/libgnome-games-support/
Source0:        https://download.gnome.org/sources/libgnome-games-support/1.2/libgnome-games-support-%{version}.tar.xz


BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gio-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19
BuildRequires:  pkgconfig(gee-0.8)

# Retired in F25
Obsoletes:      libgames-support < 1.1.90


%description
libgnome-games-support is a small library intended for internal use
by GNOME Games, but it may be used by others. 
The API will only break with the major version number.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Retired in F25
Obsoletes:      libgames-support-devel < 1.1.90

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make V=1 %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README
%license COPYING.LESSER
%{_libdir}/libgnome-games-support-1.so.2*

%files devel
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Oct 25 2016 Yanko Kaneti <yaneti@declera.com> - 1.2.1-1
- Update to 1.2.1

* Mon Sep 19 2016 Yanko Kaneti <yaneti@declera.com> - 1.2.0-1
- Update to 1.2.0

* Mon Aug 29 2016 Kalev Lember <klember@redhat.com> - 1.1.91-1
- Update to 1.1.91

* Thu Aug 18 2016 Yanko Kaneti <yaneti@declera.com> - 1.1.90-3
- Move  libgames-support-devel obsoletes to -devel

* Thu Aug 18 2016 Yanko Kaneti <yaneti@declera.com> - 1.1.90-2
- Add libgames-support obsoltes

* Thu Aug 18 2016 Yanko Kaneti <yaneti@declera.com> - 1.1.90-1
- Renamed libgames-support for review.
